body {
    margin: 0;
    overflow: hidden;
    
}

.container {
    position: absolute;
    width: 100vw;
    height: 100vh;
    perspective: 100rem;
    animation: bump 45s linear 3s infinite forwards;
}

.text-element {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size:1.5rem;
    color: white;
    text-align: center;
    animation: move var(--speed) linear infinite forwards;
    filter: blur(8px);
    transition: transform 0.1s, filter 0.1s;
    text-shadow: 2px 2px #000000;
	color: rgb(255, 255, 255);
	/* filter: url(#noise); */
	text-align: center;
	font-family: Monospace;
	letter-spacing: 0.1em;
	line-height: 1.3em;
	/* animation: myanim 5s linear infinite alternate; */
	/* user-select: none; */
	mix-blend-mode: difference;
}
.text-element:hover{
    filter: blur(0);
}

@keyframes move {
    0% {
        transform: translateZ(var(--startZ)) rotateX(var(--rotX, 0deg));
    }
    100% {
        transform: translateZ(var(--endZ)) rotateX(var(--rotX, 0deg));
        height: calc(var(--size) * var(--size-mod, 0.2));
    }
}

@keyframes bump {
    0%, 100% {
        transform: translateZ(0);
    }
    50% {
        transform: translateZ(50rem);
    }
}
  .footer{
    position: absolute;
    margin: 0 auto;
display: inline-block;
    bottom: 0;
    width: 100%;
    background: repeating-linear-gradient(
        -55deg,
        #cb0202,
        #cb0202 10px,
        #000000 10px,
        #000000 20px
      );
      z-index: 1000;
      padding: 5px;
height: 20px;

  }
.marquee {
    margin: 0 auto;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    color: #000000;
    text-shadow: -1px 1px 0 #cb0202,
    1px 1px 0 #cb0202,
    1px -1px 0 #cb0202,
    -1px -1px 0 #cb0202;
        white-space: nowrap;
    overflow: hidden;
    position: absolute;
    z-index: 1001;
    display: inline-block;
    animation: marquee 70s linear infinite;
    bottom: 0;
    margin-bottom: -11px;
    padding: 1px;

  }
  
  .wrapper {
    max-width: 100%;
    overflow: hidden;
  }
  .btn {
	display: flex;
	justify-content: space-around;
	z-index: 40000;
	cursor: pointer;
	position: absolute;
	right: 0;
	bottom: 0;
	margin: 2em;
	color: rgb(255, 255, 255);
	border-style: none;
	transition: 0.8s;
	padding: 0.5em;
	background-color: transparent;
}

button a {
	color: rgb(255, 255, 255);
	font-size: 5em;
	text-decoration: none;


}


button a:hover {
	cursor: pointer;
	color: #2bff00;

	text-shadow: 0 0 20px rgb(255, 255, 255);
}

  .marquee p {
    display: inline-block;
  }
  
  @keyframes marquee {
    0% {
      transform: translate3d(0, 0, 0);
    }
    100% {
      transform: translate3d(-50%, 0, 0);
    }
  }